Bug 191778 - [PATCH][NEW MAINTAINER] sysutils/autopsy: Take maintainership, fix issues and un-EXPIRE
[PATCH][NEW MAINTAINER] sysutils/autopsy: Take maintainership, fix issues and...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: --- Affects Some People
Assigned To: John Marino
Depends on:
  Show dependency treegraph
Reported: 2014-07-10 09:43 UTC by Dylan Leigh
Modified: 2014-07-12 04:40 UTC (History)
1 user (show)

See Also:

SVN diff of changes to sysutils/autopsy (11.74 KB, patch)
2014-07-10 09:43 UTC, Dylan Leigh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dylan Leigh 2014-07-10 09:43:46 UTC
Created attachment 144550 [details]
SVN diff of changes to sysutils/autopsy


portlint: OK
build, install and run on amd64: OK
build on i386 not tested yet.

This is the most substantial port-patch I've done, so please let me know if there is something I have missed.



- Remove Interactive requirement in configure:

   - Don't prompt for the user to read messages before continuing
     (these messages should only trigger on very old versions of
      dependencies anyway)

   - Abort if it cannot find commands it needs instead of prompting
     for the path (shouldn't have any problem finding the commands on
     a Unix system with the dependencies installed anyway)

   - Convert prompt for locations of evidence locker and NSRL to
     pkg-message; user can add these to config later.

- Fix bug with the configure-generated config file possibly missing
  "1;" at the end which causes "require conf.pl" in the application
  to fail.


- Take Maintainership


- Add warning about project inactivity
- Update WWW


- Mention location of config file
- Evidence Locker and NSRL messages from configure
- Warning about project inactivity
Comment 1 commit-hook freebsd_committer 2014-07-11 21:48:33 UTC
A commit references this bug:

Author: marino
Date: Fri Jul 11 21:47:44 UTC 2014
New revision: 361587
URL: http://svnweb.freebsd.org/changeset/ports/361587

  sysutils/autopsy: Convert from INTERACTIVE port and assign new maintainer

  This port was deprecated because it was unmaintained and interactive,
  but Dylan Leigh has brought it back into good standing:

   * Convert to a regular port by fixing configure script
     - Skip useless prompts to user
     - Abort instead of prompting when paths are not found, which will never
       happen in ports anyway
     - Convert evidence locker and NSRL prompts to pkg-message
   * Updated description to warn about project inactivity
   * Updated WWW link
   * Add pkg-message
   * Assign maintainership to Dylan

  PR:		191778
  Submitted by:	Dylan Leigh
  Verified by:	Redports 8x

Comment 2 John Marino freebsd_committer 2014-07-11 21:49:44 UTC
good job!  This passed Redports 8x on the first try.
Enjoy your new port!